Subject: Re: Clients expressing difficulty booking
From: Release Concierge <[email-masked]>
To: Pritish Nandi <[email-masked]>
Cc: Hannah Salut <[email-masked]>, deeksha <[email-masked]>, saurabh <[email-masked]>, Pravesh Singh <[email-masked]>, Kris Waldman <[email-masked]>, Katarina Koh <[email-masked]>
Date: Thu, 16 Feb 2023 10:35:42 -0500

Thank you for looking into this Pritish, we appreciate it!

*Does anyone know why the calls are being lost when guests are trying to
contact or once they have contacted the Call Center; we have gotten this
feedback today:*
_____________________________________________________________________________________________________
Chrissy Currier
9:33 AM (47 minutes ago)
to me
Hello,

I have called probably four times now to schedule something. Twice when I
got a hold of someone I was hung up on.
_____________________________________________________________________________________________

It is very concerning that our guests are not able to get through to follow
up with appointment scheduling.

Thank you again for your help and we look forward to learning how we can
prevent our calls from being lost.

Gratefully,
Krystyjana

On Wed, Feb 15, 2023 at 11:17 PM Pritish Nandi <[email-masked]> wrote:

> Hi Team,
>
> I have checked and unable to find any MB account for Alexandra Cincata.
> For Larrissa Amato she was already booke for Bliss.
>
> This is a member customer and the agent have had confusion when booking
> and while he was seeking assistance from me yesterday the call got
> disconnected. The agent called the customer back and booked the Bliss
> service.
>
> Regards,
> Pritish
>
> ------------------------------
> *From: *"Release Concierge" <[email-masked]>
> *To: *"Pritish Nandi" <[email-masked]>, "Hannah Salut" <
> [email-masked]>, "deeksha" <[email-masked]>,
> "saurabh" <[email-masked]>, "Pravesh Singh" <
> [email-masked]>
> *Sent: *Thursday, February 16, 2023 3:57:44 AM
> *Subject: *Clients expressing difficulty booking
>
> Good evening,
> Will you please follow up with the calls regarding the client's Alexandra
> Cincata and Larrissa Amato as we have been informed they had difficulty
> booking via the call center.
>
> Thank you,
> The Release Well-Being Center Team
>
>